require 'spec_helper'

describe Upvote do
  class User
    attr_reader :id

    def initialize(id)
      @id = id
    end
  end

  class Resource
    attr_reader :id

    def initialize(id)
      @id = id
    end
  end

  describe '.create' do
    let(:user) { User.new 21 }
    let(:resource) { Resource.new 42 }

    it 'creates like' do
      Upvote.create user, resource

      expect(Upvote.count(resource)).to eq(1)
      expect(Upvote.count(user)).to eq(1)
      expect(Upvote.exist?(user, resource)).to be(true)
    end
  end
end
